﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Collections.ObjectModel;
using System.ComponentModel;

namespace WpfApplication273.ViewModel
{
  public  class VM:INotifyPropertyChanged
    {

      bool isreadonly = true;
      public bool IsReadOnly
      {
          get {return isreadonly;}
          set { isreadonly = value;
              NotifyPropertyChanged("IsReadOnly");
          }
      }
      ObservableCollection<Person> people = new ObservableCollection<Person>();
      public ObservableCollection<Person> People
      {
          get { return people; }
          set { people = value; }
      }

      public VM()
      {
          for (int i = 0; i < 10; i++)
          {
              Person p = new Person()
              {
                  Name = "Name " + i.ToString(),
                  Occupation = "Occupation " + i.ToString(),
                  Age = 18 + i
              };
              people.Add(p);
              p.Children = new ObservableCollection<Person>();
              for (int j = 0; j < 3; j++)
              {
                  Person c = new Person()
                  {
                      Name = "child " + i.ToString() + j.ToString(),
                      Occupation = "student",
                      Age = i + j

                  };
                  p.Children.Add(c);
              }
          }
      }

      Boolean isselected = false;
      public Boolean IsSelected
      {
          get { return isselected; }
          set { isselected = value;
          NotifyPropertyChanged("IsSelected");
          }
      }
      
      public event PropertyChangedEventHandler PropertyChanged;

      private void NotifyPropertyChanged(String info)
      {
          if (PropertyChanged != null)
          {
              PropertyChanged(this, new PropertyChangedEventArgs(info));
          }
      }
    }
}
